Subject: bug#48264: [PATCH v3 12/15] Set buffer_defaults fields without a default to Qunbound

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 May 2021 09:40:06 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 07 May 2021 17:35:05 -0400
> 
> OK, in the end I was able to get moving init_{syntax,category}_once
> after init_buffer_once to work, by initializing the two variables to
> Qnil in buffer.c.  I assume it wasn't working before because they were
> Qunbound rather than Qnil, and something is checking NILP to see if the
> variables are initialized. (Although not sure what).
> 
> So, I was able to remove the special case.

Great, thanks.  Please be sure to bootstrap as part of your tests, to
make sure this doesn't get in the way then, and also run all of the
tests in the test suite, fingers crossed.